purescript-0.15.15: PureScript Programming Language Compiler

Safe Haskell | None
Language | Haskell2010

Language.PureScript.Interactive.IO

Synopsis

- findNodeProcess :: IO (Either String String)
- readNodeProcessWithExitCode :: Maybe FilePath -> [String] -> String -> IO (Either String (ExitCode, String, String))
- getHistoryFilename :: IO FilePath

# Documentation

findNodeProcess :: IO (Either String String) #

Locates the node executable. Checks for either `nodejs` or `node`.

readNodeProcessWithExitCode :: Maybe FilePath -> [String] -> String -> IO (Either String (ExitCode, String, String)) #

getHistoryFilename :: IO FilePath #

Grabs the filename where the history is stored.